%{
#define YYSTYPE double
#include "nTotalSteps.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }

"Total number of proof steps:" { //printf("2-");
                                 return(TotalSteps);
                               }

[0-9]+ {//printf("5-");
	  sscanf(yytext,"%d",&yylval); return(INT);
       }

\n         return (yytext[0]); 

.        { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
